Bug 636619 - -openssl patch is broken
-openssl patch is broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-22 13:51 EDT by Enrico Scholz
Modified: 2011-01-06 14:28 EST (History)
8 users (show)

See Also:
Fixed In Version: bacula-5.0.3-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 08:38:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2010-09-22 13:51:53 EDT
Description of problem:

The bacula-5.0.2-openssl.patch in d3f21207e11c84faddc044b7c8005f8a5f32ac57 contains

-#ifdef HAVE_OPENSSLv1
+#ifdef OPENSSL_VERSION_NUMBER >= 0x10000000L

The new condition matches everytime and should be

+#if OPENSSL_VERSION_NUMBER >= 0x10000000L

instead of (note the '#if' vs. '#ifdef').
Comment 1 Jan Görig 2010-09-23 08:38:12 EDT
Thank you for your bug report. I don't know how I can write this terrible code...
Comment 2 Fedora Update System 2010-11-24 12:34:50 EST
bacula-5.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bacula-5.0.3-1.fc14
Comment 3 Fedora Update System 2010-11-24 12:48:20 EST
bacula-5.0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/bacula-5.0.3-1.fc13
Comment 4 Fedora Update System 2011-01-06 14:26:10 EST
bacula-5.0.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2011-01-06 14:28:12 EST
bacula-5.0.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.